=== debian/changelog ===
pappl (1.0.1-2) unstable; urgency=medium

  * Set upstream metadata fields: Security-Contact

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Feb 2021 22:47:35 +0100

pappl (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #980200)

 -- Didier Raboud <odyx@debian.org>  Wed, 20 Jan 2021 10:20:40 +0100
