=== debian/tests/control ===
Tests: testsuite
Depends: libpappl-dev, build-essential, pkg-config, avahi-daemon
