=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pappl-$1\.tar\.gz/ \
  https://github.com/michaelrsweet/pappl/tags .*/v?(\d\S+)\.tar\.gz
