=== debian/changelog ===
pappl (1.0.3-2) unstable; urgency=medium

  * Migrate to unstable
  * Remove myself from Uploaders
  * S-V: Update to 4.6.0 without changes needed
  * Update Salsa CI configuration

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 17:04:22 +0200

pappl (1.0.3-1) experimental; urgency=medium

  * New 1.0.3 upstream release
    - Drop backported patches

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Apr 2021 10:55:26 +0200

pappl (1.0.2-2) experimental; urgency=medium

  * Backport upstream patch to fix arm FTBFS;
    - Fix some more threading issues (Issue #155, Issue #162)

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Apr 2021 08:09:47 +0200

pappl (1.0.2-1) experimental; urgency=medium

  * New 1.0.2 upstream release
    - Backport upstream fix for test suite
    - Handle when the Avahi daemon is not running (Issue #129)

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Apr 2021 19:09:06 +0200
