=== debian/tests/control ===
Tests: testsuite
Depends:
 avahi-daemon,
 build-essential,
 libpappl-dev,
 pkg-config,
