=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://github.com/michaelrsweet/pappl/releases .*/pappl-(\d\S+)\.tar\.gz
