=== testsuite/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Test suite makefile for the Printer Application Framework
 #
-# Copyright © 2020 by Michael R Sweet
+# Copyright © 2020-2022 by Michael R Sweet
 #
 # Licensed under Apache License v2.0.  See the file "LICENSE" for more
 # information.
@@ -12,10 +12,12 @@
 
 OBJS	=	\
 		pwg-driver.o \
+		testhttpmon.o \
 		testmainloop.o \
 		testpappl.o
 
 TARGETS	=	\
+		testhttpmon \
 		testmainloop \
 		testpappl
 
@@ -47,7 +49,15 @@
 	$(RM) testpappl.log
 	$(RM) -r testpappl.output
 	$(MKDIR) testpappl.output
-	./testpappl -c -l testpappl.log -L debug -o testpappl.output -t all
+	./testhttpmon 2>test.log
+	./testpappl -c -l testpappl.log -L debug -o testpappl.output -t all 2>test.log
+
+
+# HTTP monitor unit test
+testhttpmon:	testhttpmon.o ../pappl/libpappl.a
+	echo Linking $@...
+	$(CC) $(LDFLAGS) -o $@ testhttpmon.o ../pappl/libpappl.a $(LIBS)
+	$(CODE_SIGN) $(CSFLAGS) -i org.msweet.pappl.$@ $@
 
 
 # Test suite program
