=== debian/changelog ===
pappl (1.2.1-1) unstable; urgency=medium

  * Update to new upstream version 1.2.1.
  * debian/tests/control: add Restrictions: allow-stderr
    (Closes: #1011990)
    (thanks to elbrus for the suggestion)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Jun 2022 11:35:04 +0200

pappl (1.2.0-1) unstable; urgency=medium

  * Update to new upstream version 1.2.0.
  * update symbols file
  * install more header files in -dev package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 May 2022 23:53:17 +0200

pappl (1.1.0-3) unstable; urgency=medium

  * debian/tests: fix testsuite

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 17 Jan 2022 18:02:23 +0100

pappl (1.1.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Jan 2022 08:05:23 +0000

pappl (1.1.0-1) experimental; urgency=medium

  * Update to new upstream version 1.1.0.
  * upload to experimental
  * debian/control: add myself to Uploaders:
  * do not use network in testsuite
  * due to upstream fix override for libpappl-dev is no longer needed
  * update symbols file

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Jan 2022 13:05:23 +0000
