=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pappl
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: net
 Priority: optional
 Build-Depends:
