=== pappl/Makefile ===
--- 
+++ 
@@ -87,7 +87,10 @@
 		strings/es.strings \
 		strings/fr.strings \
 		strings/it.strings \
-		strings/ja.strings
+		strings/ja.strings \
+		strings/nb-NO.strings \
+		strings/pl.strings \
+		strings/tr.strings
 
 DOCFLAGS =	\
 		--author "Michael R Sweet" \
@@ -116,7 +119,7 @@
 clean:
 	$(RM) $(OBJS)
 	$(RM) $(TARGETS)
-	$(RM) libpappl.dylib libpappl.so
+	$(RM) libpappl.dylib libpappl.so parse-lock-log
 
 
 # Clean all non-distribution files
@@ -228,6 +231,12 @@
 	$(LN) $@ `basename $@ .1.dylib`.dylib
 
 
+# parse-lock-log
+parse-lock-log:	parse-lock-log.c
+	echo Compiling and linking $@...
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<
+
+
 # Static resource header...
 resheader:	$(RESOURCES)
 	echo Generating $@...
