=== debian/changelog ===
pappl (1.3.1-2) unstable; urgency=medium

  * debian/control: add dependency on libavahi-client-dev
                    (new version on pkg-config also validates whole
                     dependency tree)
    (Closes: #1023926)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Feb 2023 11:44:24 +0100

pappl (1.3.1-1) unstable; urgency=medium

  * Update to new upstream version 1.3.1.
  * update symbols file

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Feb 2023 12:44:24 +0100
