=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libpam0g-dev,
  libpng-dev,
  libusb-1.0-0-dev,
- zlib1g-dev,
+ zlib1g-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/printing-team/pappl
 Vcs-Git: https://salsa.debian.org/printing-team/pappl.git
@@ -47,6 +47,7 @@
  libpng-dev,
  libusb-1.0-0-dev,
  zlib1g-dev,
+ libavahi-client-dev,
  ${misc:Depends},
 Description: C-based framework/library for developing CUPS Printer Applications - Headers
  PAPPL is a simple C-based framework/library for developing CUPS Printer
