=== debian/changelog ===
pappl (1.4.9-0ubuntu1) plucky; urgency=medium

  * New upstream bug fix release.
  * Removed patch for "client-10x1000" test fix, included upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Mar 2025 18:28:59 +0100

pappl (1.4.8-0ubuntu3) plucky; urgency=medium

  * Fixed cause of crashing "client-10x1000" hight-load test in the
    autopkgtest, re-activated test.
    Upstream issue https://github.com/michaelrsweet/pappl/issues/382

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 14 Mar 2025 00:10:19 +0100

pappl (1.4.8-0ubuntu2) plucky; urgency=medium

  * Temporarily excluded "client-10x1000" hight-load test from the autopkgtest
    as this test often segfaults. Issue reported upstream:
    https://github.com/michaelrsweet/pappl/issues/382

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 27 Feb 2025 15:11:19 +0100

pappl (1.4.8-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * Updated symbols file debian/libpappl1t64.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Feb 2025 13:55:19 +0100

pappl (1.3.1-2.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:15:20 +1100

pappl (1.3.1-2.1build2) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:54:30 +1300

pappl (1.3.1-2.1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:11:02 +0000

pappl (1.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063207

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:31:57 +0000
