=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pappl
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: net
 Priority: optional
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libavahi-client-dev,
  libcups2-dev,
@@ -20,7 +21,10 @@
 Homepage: https://www.msweet.org/pappl/
 Rules-Requires-Root: no
 
-Package: libpappl1
+Package: libpappl1t64
+Provides: ${t64:Provides}
+Replaces: libpappl1
+Breaks: libpappl1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -43,7 +47,7 @@
  libgnutls28-dev,
  libjpeg-dev,
  libpam0g-dev,
- libpappl1 (= ${binary:Version}),
+ libpappl1t64 (= ${binary:Version}),
  libpng-dev,
  libusb-1.0-0-dev,
  zlib1g-dev,
