=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,4 @@
  build-essential,
  libpappl-dev,
  pkg-config,
+Restrictions: allow-stderr
